class HTTPFailure(Exception):
    """
    Raised when an HTTP request fails.
    """
    pass

class PyZiplineError(Exception):
    """
    Raised when an error occurs in the PyZipline library.
    """
    pass

class FeatureDisabledError(Exception):
    """
    Raised when a feature is disabled on the Zipline instance.
    """
    pass
